--- old/usr/src/uts/sun4u/Makefile.targ	2013-12-14 21:35:01.165807609 -0500
+++ new/usr/src/uts/sun4u/Makefile.targ	2013-12-14 21:35:01.171508022 -0500
@@ -1,3 +1,4 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
@@ -18,12 +19,30 @@
 #
 # CDDL HEADER END
 #
+#
+# uts/sun4u/Makefile.targ
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+#	This Makefile defines the set of all required, target containing
+# included Makefiles for the sun4u "implementation architecture".
 #
 
-UTSTREE=$(UTSBASE)
+#
+#	Targets for all implementations:
+#
+include $(UTSBASE)/Makefile.targ
 
-include $(UTSBASE)/sun4u/Makefile.targ.shared
+#
+#	Target set for sun4u (order is not important, as it is with the
+# isomorphic Makefile.files set).
+#
+include $(UTSBASE)/sun4/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.rules
+include $(UTSBASE)/sfmmu/Makefile.rules
+include $(UTSBASE)/sparc/v9/Makefile.rules
+include $(UTSBASE)/sparc/Makefile.rules
+include $(UTSBASE)/sun/Makefile.rules
+include $(PSMBASE)/promif/$(PROMIF)/common/Makefile.rules
+include $(PSMBASE)/promif/$(PROMIF)/sun4u/Makefile.rules
+include $(UTSBASE)/common/Makefile.rules
